;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; File Name :   rdm.h
; Purpose   :   ReadMem mode application header
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;==============================================================================
;
; STATE REDEFINITIONS
;
;==============================================================================

RDMBANNERSTATE              equ     COREBANNERSTATE
RDMDEFAULTSTATE             equ     COREDEFAULTSTATE
RDMSETBANNERSTATE           equ     CORESETBANNERSTATE
RDMSETSTATE                 equ     CORESETBANNERSTATE
RDMPOPUPSTATE               equ     COREPOPUPSTATE
RDMPASSWORDDEFAULTSTATE     equ     COREPASSWORDDEFAULTSTATE
RDMPASSWORDSETBANNERSTATE   equ     COREPASSWORDSETBANNERSTATE
RDMPASSWORDSETSTATE         equ     COREPASSWORDSETSTATE

; TODO: Add your own state redefinition here

;==============================================================================
;
; EVENT REDEFINITIONS
;
;==============================================================================

RDM_STATEENTRY              equ     COREEVENT_STATEENTRY
RDM_CROWNHOME               equ     COREEVENT_CROWN_HOME
RDM_CROWNSET                equ     COREEVENT_CROWN_SET1
RDM_CWPULSES                equ     COREEVENT_CW_PULSES
RDM_CCWPULSES               equ     COREEVENT_CCW_PULSES
RDM_MODEDEPRESS             equ     COREEVENT_SWITCH1DEPRESS
RDM_STOPRESETDEPRESS        equ     COREEVENT_SWITCH2DEPRESS
RDM_STARTSPLITDEPRESS       equ     COREEVENT_SWITCH3DEPRESS


; TODO: Add your own state redefinition here

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;